package model.fish.display;

/**
 * Display for a circle fish.
 *
 * @author Mathias Ricken
 */
public class CircleFishDisplay extends ParamFishDisplay {
    private static final double BODY_WIDTH = .9;
    private static final double BODY_LENGTH = .8;
    private static final double TAIL_WIDTH = .4;
    private static final double TAIL_LENGTH = .3;
    private static final double EYE_SIZE = .2;

    /**
     * Make an object that knows how to display round-ish fish.
     */
    private CircleFishDisplay() {
        super(BODY_WIDTH, BODY_LENGTH, TAIL_WIDTH, TAIL_LENGTH, EYE_SIZE);
    }

    /**
     * Singleton instace.
     */
    public static final CircleFishDisplay Singleton = new CircleFishDisplay();
}

