// This class is based on the FishDisplay class, version 1 August 2002
// by Alyce Brady

// AP(r) Computer Science Marine Biology Simulation:
// The LittleFishDisplay class is copyright(c) 2002 College Entrance
// Examination Board (www.collegeboard.com).
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

package model.fish.display;

/**
 * Display a narrow fish.
 *
 * @author Mathias Ricken
 */
public class NarrowFishDisplay extends ParamFishDisplay {
    private static final double BODY_WIDTH = .3;
    private static final double BODY_LENGTH = .7;
    private static final double TAIL_WIDTH = .3;
    private static final double TAIL_LENGTH = .3;
    private static final double EYE_SIZE = .05;

    /**
     * Constructs an object that knows how to display teeny little fish.
     */
    private NarrowFishDisplay() {
        super(BODY_WIDTH, BODY_LENGTH, TAIL_WIDTH, TAIL_LENGTH, EYE_SIZE);
    }

    /**
     * Singleton instance.
     */
    public static final NarrowFishDisplay Singleton = new NarrowFishDisplay();
}

